Bug 5346

Summary: Linking suggestions & orders
Product: Koha Reporter: Paul Poulain <paul.poulain>
Component: AcquisitionsAssignee: Jonathan Druart <jonathan.druart>
Status: CLOSED FIXED QA Contact: Bugs List <koha-bugs>
Severity: enhancement    
Priority: P5 - low CC: claire.hernandez, jonathan.druart, julian.maurice, katrin.fischer, koha.sekjal
Version: 3.8   
Hardware: All   
OS: All   
URL: http://wiki.koha-community.org/wiki/Linking_sugg_order_acq_RFC
See Also: https://bugs.koha-community.org/bugzilla3/show_bug.cgi?id=19358
Change sponsored?: Sponsored Patch complexity: ---
Text to go in the release notes:
Version(s) released in:
Bug Depends on:    
Bug Blocks: 7163, 7577    
Attachments: Bug 5346 Linking suggestions and orders
Bug 5346: Linking suggestions and orders.
Bug 5346: Small display changes
[SIGNED-OFF] Bug 5346: Small display changes

Description Paul Poulain 2010-11-02 03:16:56 UTC
in Koha 3.2, the suggestions is not completly linked to the related order. The link is only done through the biblionumber. We will add a field to have a fully qualified link. We will be able to add links to jump from suggestion to orders & from orders to suggestion
Comment 1 Paul Poulain 2011-11-05 10:58:15 UTC
If you want to participate to the upstreaming:
* assign the bug to yourself
* retrieve the patch(es) on git.biblibre.com
* the branch name can be found using
git branch -a|grep NNNN
Usually, it should be 
  biblibre/customer/ft/MTNNNN
For example:
   remotes/origin/stetienne/ft/MT6522

This patch is in branch number 5507
Comment 2 Jonathan Druart 2012-01-18 13:41:10 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2012-01-22 21:24:24 UTC
I ran the tests and noticed that the added suggestion stayed in my database. It's also using a status I have not seen before "STALLED". Can you explain? 
I think it should delete the suggestion after the tests have been run.
Comment 4 Katrin Fischer 2012-01-23 06:53:37 UTC
Created attachment 7285 [details] [review]
Bug 5346: Linking suggestions and orders.

Display suggestion info in acquisition module:
  basket.pl
  neworderempty.pl
  orderreceive.pl
  parcel.pl

To Test:
Create a suggestion and accept it.
Create a new order from this suggestion
Receive this order

For each step, check if suggestion info are visible.

Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Test provides more unit tests, all complete successfully.
perl t/db_dependent/Suggestions.t
Note: test case should be cleaned up after running tests.

Display changes are consistent and information about the suggestion
is shown on every important screen now.

I created an order from a suggestion and one from an existing record.

No problems found.
Comment 5 Katrin Fischer 2012-01-23 06:53:53 UTC Comment hidden (obsolete)
Comment 6 Katrin Fischer 2012-01-23 06:57:24 UTC
Jonathan, could you perhaps sign-off on my second patch and fix the unit tests?
I don't think status 'STALLED' was implemented and the test case remains in my database after running the tests.
Comment 7 Julian Maurice 2012-01-26 11:09:17 UTC
Katrin, Jonathan asked me to tell you that he's actually not available. He'll come back in two weeks. He also wants to say that the 'stalled' status was already present before his patch, he didn't what it is, so he left it.
Comment 8 Katrin Fischer 2012-01-26 11:37:14 UTC
Hi Julian, thx for the answer. I don't know what it is either. :( I think it's not existing in current Koha, so we should make the test use an existing status like 'ASKED'. Perhaps someone else could sign-off on my patch? :)
Comment 9 Jonathan Druart 2012-02-10 09:25:47 UTC
Created attachment 7560 [details] [review]
[SIGNED-OFF] Bug 5346: Small display changes
Comment 10 Paul Poulain 2012-02-14 22:12:07 UTC
QA comment:
* perlcritic still OK after applying the patches
* translatable-template and valid-templates still OK after applying the patches
* nothing to say about the code itself
* one question though: when i'm on a basket, the link to suggestions is "Suggested by: TEST (suggestion #153)", and when clicking on suggestion #153 link, I don't reach the suggestion itself, just a list of suggestions. Am I doing something wrong or is there a problem somewhere ?
Comment 11 Jonathan Druart 2012-02-15 11:09:23 UTC
Paul: Yes there is a problem :)
But I can't redirect to the suggestion, the only existing page is the edit suggestion page.
I redirect to "suggestion/suggestion.pl?suggestionid=". This page should redirect (in the future) to an other page, displaying a suggestion.
Comment 12 Ian Walls 2012-02-16 18:20:12 UTC
Main patch implements two new subroutines, with documentation and tests.  Introduces those subroutines to scripts, and displays the output if applicable (but not if not).  Marking as Passed QA.
Comment 13 Paul Poulain 2012-02-17 09:42:34 UTC
Patch pushed. I hesitated, and fear that we will get some feedback from users about the link to jump to the suggestion that won't reach the suggestion itself.
A follow-up to solve this annoyance would be highly welcomed !